Create Credential
Create a new credential
- application/json
Request Body
- name string
- description string
security object
owner object
user object
id int32name stringuserGroup object
id int32name string- email string
- externalVault boolean
- externalVaultType string
Possible values: [
CYBER_ARK,DELINEA,BEYOND_TRUST,AZURE_CREDENTIAL] - accountType string
Responses
- 200
- 400
- 403
- 409
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- id int32
- name string
{
"id": 0,
"name": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Conflict
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...